/**
 * BLOCK: sld-block
 *
 * Registering a basic block with Gutenberg.
 * Simple block, renders and saves the same content without any interactivity.
 */

//  Import CSS.
import './style.scss';
import './editor.scss';

const { __ } = wp.i18n; // Import __() from wp.i18n
const { registerBlockType } = wp.blocks; // Import registerBlockType() from wp.blocks
const { RichText } = wp.editor;
import { ServerSideRender } from '@wordpress/components';

function Qcopd_sld_Shortcode_Preview( { shortcode } ) {
	if( shortcode.length > 0 ){
	    return(
			<div>
				 {shortcode}
			</div>
	    )
	}else{
		return(
			''
	    )
	}
}
function Qcopd_sld_Shortcode_Preview_edit( { shortcode } ) {
	if( shortcode.length > 0 ){
	    return(

			<textarea className="editor-plain-text input-control">
				{shortcode}
			</textarea>
	    )
	}else{
		return(
			''
	    )
	}
}

registerBlockType( 'sld/block-sld-block', {
	// Block name. Block names must be string that contains a namespace prefix. Example: my-plugin/my-custom-block.
	title: __( 'SLD - Shortcode Maker' ), // Block title.
	icon: 'admin-links', // Block icon from Dashicons → https://developer.wordpress.org/resource/dashicons/.
	category: 'common', // Block category — Group blocks together based on common traits E.g. common, formatting, layout widgets, embed.
	keywords: [
		__( 'SLD — Shortcode Maker' ),
		__( 'SLD - Shortcode Maker' ),
	],
	attributes: {
        shortcode: {
            type: 'string',
            default: 0
        }
    },

	edit: function( props ) {
		const { attributes: { shortcode }, setAttributes } = props;
		var cnt = 0;
		
		
 		$(document).on('click', '#sld_shortcode_generator_meta_block', function(event){
			event.stopPropagation();
			$.post(
				ajaxurl,
				{
					action : 'show_qcsld_shortcodes'
					
				},
				function(data){
					//console.log($(data).find('#qcsld_add_shortcode').attr('value'));
					if($('#sm-modal').length<1){
						$('#wpwrap').append(data);
					}
					
				}
			)
		})
		

		
		$(document).on('click','.sld_copy_close', function(e){
			const shortdata = $(this).attr('short-data');
			setAttributes( { shortcode: shortdata } );
		})
		
        return (
			
            <div className={ props.className }>
			
				<ServerSideRender
					block="qcopd-sld/render-shortcode-button"
				/>
				
            	<Qcopd_sld_Shortcode_Preview_edit shortcode = { shortcode } />
				
            </div>
        );
	},

	save: function( props ) {
		const { attributes: { shortcode } } = props;
        return (
            <div>
            	<Qcopd_sld_Shortcode_Preview shortcode = { shortcode } />
            </div>
        );
	},
} );
